#!/bin/sh

. "$(dirname -- "$0")/../netdev.sh"

# VRFs
VRF="vrf-dn42"
new_if_vrf "$VRF" 20
	if_route_vrf_default_unreach "$VRF"

	BRIDGE="br-dn42"
	if_slave "$VRF" "$BRIDGE"
	new_if_bridge "$BRIDGE"
		if_bridge_property 'stp_state' "$BRIDGE"
		if_bridge_property 'mcast_router' "$BRIDGE"
		if_bridge_property 'mcast_snooping' "$BRIDGE" '0' '' # TODO: Remove such entries when bridges play well with multicasting
		if_bridge_property 'mcast_querier' "$BRIDGE"
		if_bridge_property 'mcast_mld_version' "$BRIDGE" '2' ''
		IFACE="phys2-42"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"
		IFACE="phys4-42"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"
		IFACE="phys5-42"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

	IFACE="famfo"
	if_slave "$VRF" "$IFACE"
	new_if_wg "$IFACE"
		if_ip_addr "$IFACE" "fe80::1422:1/64"

	IFACE="mark22k"
	if_slave "$VRF" "$IFACE"
	new_if_wg "$IFACE"
		if_ip_addr "$IFACE" "fe80::4546/64"

	IFACE="highdef"
	if_slave "$VRF" "$IFACE"
	new_if_wg "$IFACE"
		if_ip_addr "$IFACE" "fe80::2/64"

	IFACE="kioubit"
	if_slave "$VRF" "$IFACE"
	new_if_wg "$IFACE"
		if_ip_addr "$IFACE" "fe80::2/64"

	IFACE="lare"
	if_slave "$VRF" "$IFACE"
	new_if_wg "$IFACE"
		if_ip_addr "$IFACE" "fe80::2/64"

	IFACE="vnet5"
	if_slave "$VRF" "$IFACE"
		new_if_phys "$IFACE"

VRF="vrf-v6"
new_if_vrf "$VRF" 10
	if_route_vrf_sink_unreach "$VRF" "2a04:5b81:2060::/44"

	IFACE="intersix"
	#if_route_vrf_default_interface "$VRF" "$IFACE"
	if_slave "$VRF" "$IFACE"
	new_if_wg "$IFACE"
		if_ip_addr "$IFACE" "fe80::2/64"
		if_ip_addr "$IFACE" "2a04:5b80:ffff:ff0b::2/64"

	IFACE="vultrbgp"
	if_route_vrf_default_interface "$VRF" "$IFACE"
	if_slave "$VRF" "$IFACE"
	new_if_wg "$IFACE"
		if_ip_addr "$IFACE" "fe80::2/64"

	BRIDGE="b00b"
	if_slave "$VRF" "$BRIDGE"
	new_if_bridge "$BRIDGE"
		if_bridge_property 'stp_state' "$BRIDGE"
		if_bridge_property 'mcast_router' "$BRIDGE"
		if_bridge_property 'mcast_snooping' "$BRIDGE" '0' ''
		if_bridge_property 'mcast_querier' "$BRIDGE"
		if_bridge_property 'mcast_stats_enabled' "$BRIDGE"
		if_bridge_property 'mcast_mld_version' "$BRIDGE" '2' ''
		if_ether_address "$BRIDGE" '02:00:00:00:b0:0b'
		if_ip_addr "$BRIDGE" "2a04:5b81:2060:b00b::1/64"

		IFACE="vnet0"
		if_slave "$BRIDGE" "$IFACE"
			new_if_phys "$IFACE"

		IFACE="vnet4"
		if_slave "$BRIDGE" "$IFACE"
			new_if_phys "$IFACE"

		IFACE="phys2-66"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

		IFACE="phys4-66"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

		IFACE="phys5-66"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

	BRIDGE="f33d"
	if_slave "$VRF" "$BRIDGE"
	new_if_bridge "$BRIDGE"
		if_bridge_property 'stp_state' "$BRIDGE"
		if_bridge_property 'mcast_router' "$BRIDGE"
		if_bridge_property 'mcast_snooping' "$BRIDGE" '0' ''
		if_bridge_property 'mcast_querier' "$BRIDGE"
		if_bridge_property 'mcast_mld_version' "$BRIDGE" '2' ''
		if_ether_address "$BRIDGE" '02:00:00:00:f3:3d'
		if_ip_addr "$BRIDGE" "2a04:5b81:2060:f33d::1/64"

		IFACE="vnet2"
		if_slave "$BRIDGE" "$IFACE"
			new_if_phys "$IFACE"

		IFACE="phys4-100"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

		IFACE="phys5-100"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

	BRIDGE="d00d"
	if_slave "$VRF" "$BRIDGE"
	new_if_bridge "$BRIDGE"
		if_bridge_property 'stp_state' "$BRIDGE"
		if_bridge_property 'mcast_router' "$BRIDGE"
		if_bridge_property 'mcast_snooping' "$BRIDGE" '0' ''
		if_bridge_property 'mcast_querier' "$BRIDGE"
		if_bridge_property 'mcast_mld_version' "$BRIDGE" '2' ''
		if_ether_address "$BRIDGE" '02:00:00:00:d0:0d'
		if_ip_addr "$BRIDGE" "2a04:5b81:2060:d00d::1/64"

		IFACE="vnet3"
		if_slave "$BRIDGE" "$IFACE"
			new_if_phys "$IFACE"

		IFACE="phys4-101"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

		IFACE="phys5-101"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"


# NO-vrf
BRIDGE="home"
new_if_bridge "$BRIDGE"
	if_bridge_property 'stp_state' "$BRIDGE"
	if_bridge_property 'mcast_router' "$BRIDGE"
	if_bridge_property 'mcast_snooping' "$BRIDGE" '0' '' # TODO: Remove such entries when bridges play well with multicasting
	if_bridge_property 'mcast_querier' "$BRIDGE"
	if_bridge_property 'mcast_mld_version' "$BRIDGE" '2' ''
	if_dhcp "$BRIDGE"
	if_forward "$BRIDGE"

	IFACE="vnet1"
	if_slave "$BRIDGE" "$IFACE"
		new_if_phys "$IFACE"

	IFACE="phys2"
	if_slave "$BRIDGE" "$IFACE"
		new_if_phys "$IFACE"

	IFACE="phys3"
	if_slave "$BRIDGE" "$IFACE"
		new_if_phys "$IFACE"

	IFACE="phys4"
	if_slave "$BRIDGE" "$IFACE"
		new_if_phys "$IFACE"

	IFACE="phys5"
	if_slave "$BRIDGE" "$IFACE"
		new_if_phys "$IFACE"
