#!/bin/sh

. "$(dirname -- "$0")/../netdev.sh"

# Bridges
BRIDGE="br-v6"
new_if_bridge "$BRIDGE"
	if_bridge_property 'stp_state' "$BRIDGE"
	if_bridge_property 'mcast_router' "$BRIDGE"
	if_bridge_property 'mcast_snooping' "$BRIDGE" '0' '' # TODO: Remove such entries when bridges play well with multicasting
	if_bridge_property 'mcast_querier' "$BRIDGE"
	if_bridge_property 'mcast_mld_version' "$BRIDGE" '2' ''

BRIDGE="home"
new_if_bridge "$BRIDGE"
	if_bridge_property 'stp_state' "$BRIDGE"
	if_bridge_property 'mcast_router' "$BRIDGE"
	if_bridge_property 'mcast_snooping' "$BRIDGE" '0' '' # TODO: Remove such entries when bridges play well with multicasting
	if_bridge_property 'mcast_querier' "$BRIDGE"
	if_bridge_property 'mcast_mld_version' "$BRIDGE" '2' ''
	if_dhcp "$BRIDGE"

	IFACE="shared"
	if_slave "$BRIDGE" "$IFACE"
		new_if_phys "$IFACE"

# Wireguard
IFACE="wg-tunnel"
new_if_wg "$IFACE"
	if_ip_addr "$IFACE" "172.22.12.5/32"
	if_ip_addr "$IFACE" "fd42:42:42::2:5/128"
	if_route_addr "$IFACE" "172.22.12.0/24"
	if_route_addr "$IFACE" "fd42:42:42::2:0/120"
