#!/bin/sh

. "$(dirname -- "$0")/../netdev.sh"

VRF="vrf-dn42"
new_if_vrf "$VRF" 20
	if_route_vrf_default_unreach "$VRF"

	BRIDGE="br-dn42"
	if_slave "$VRF" "$BRIDGE"
	new_if_bridge "$BRIDGE"
		if_bridge_property 'stp_state' "$BRIDGE"
		if_bridge_property 'mcast_router' "$BRIDGE"
		if_bridge_property 'mcast_snooping' "$BRIDGE" '0' '' # TODO: Remove such entries when bridges play well with multicasting
		if_bridge_property 'mcast_querier' "$BRIDGE"
		if_bridge_property 'mcast_mld_version' "$BRIDGE" '2' ''

		IFACE="vnet4"
		if_slave "$BRIDGE" "$IFACE"
			new_if_phys "$IFACE"

		IFACE="phys0-42"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

		IFACE="phys1-42"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

VRF="vrf-v6"
new_if_vrf "$VRF" 10
	if_route_vrf_default_unreach "$VRF"

	BRIDGE="b00b"
	if_slave "$VRF" "$BRIDGE"
	new_if_bridge "$BRIDGE"
		if_bridge_property 'stp_state' "$BRIDGE"
		if_bridge_property 'mcast_router' "$BRIDGE"
		if_bridge_property 'mcast_snooping' "$BRIDGE" '0' '' # TODO: Remove such entries when bridges play well with multicasting
		if_bridge_property 'mcast_querier' "$BRIDGE"
		if_bridge_property 'mcast_mld_version' "$BRIDGE" '2' ''

		IFACE="vnet0"
		if_slave "$BRIDGE" "$IFACE"
			new_if_phys "$IFACE"

		IFACE="phys0-66"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

		IFACE="phys1-66"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

	BRIDGE="f33d"
	if_slave "$VRF" "$BRIDGE"
	new_if_bridge "$BRIDGE"
		if_bridge_property 'stp_state' "$BRIDGE"
		if_bridge_property 'mcast_router' "$BRIDGE"
		if_bridge_property 'mcast_snooping' "$BRIDGE" '0' '' # TODO: Remove such entries when bridges play well with multicasting
		if_bridge_property 'mcast_querier' "$BRIDGE"
		if_bridge_property 'mcast_mld_version' "$BRIDGE" '2' ''

		IFACE="vnet3"
		if_slave "$BRIDGE" "$IFACE"
			new_if_phys "$IFACE"

		IFACE="phys0-100"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

		IFACE="phys1-100"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

	BRIDGE="d00d"
	if_slave "$VRF" "$BRIDGE"
	new_if_bridge "$BRIDGE"
		if_bridge_property 'stp_state' "$BRIDGE"
		if_bridge_property 'mcast_router' "$BRIDGE"
		if_bridge_property 'mcast_snooping' "$BRIDGE" '0' '' # TODO: Remove such entries when bridges play well with multicasting
		if_bridge_property 'mcast_querier' "$BRIDGE"
		if_bridge_property 'mcast_mld_version' "$BRIDGE" '2' ''

		IFACE="vnet2"
		if_slave "$BRIDGE" "$IFACE"
			new_if_phys "$IFACE"

		IFACE="phys0-101"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

		IFACE="phys1-101"
		if_linkdepend "$IFACE" "${IFACE%-*}"
		if_slave "$BRIDGE" "$IFACE"
			new_if_vlan "$IFACE"

BRIDGE="home"
new_if_bridge "$BRIDGE"
	if_bridge_property 'stp_state' "$BRIDGE"
	if_ether_address "$BRIDGE" '52:54:00:81:cb:62'
	if_bridge_property 'mcast_router' "$BRIDGE"
	if_bridge_property 'mcast_snooping' "$BRIDGE" '0' '' # TODO: Remove such entries when bridges play well with multicasting
	if_bridge_property 'mcast_querier' "$BRIDGE"
	if_bridge_property 'mcast_mld_version' "$BRIDGE" '2' ''
	if_dhcp "$BRIDGE"
	if_forward "$BRIDGE"

	IFACE="vnet1"
	if_slave "$BRIDGE" "$IFACE"
		new_if_phys "$IFACE"

	IFACE="phys0"
	if_slave "$BRIDGE" "$IFACE"
		new_if_phys "$IFACE"

	IFACE="phys1"
	if_slave "$BRIDGE" "$IFACE"
		new_if_phys "$IFACE"
